* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
     font-family: 'Vazirmatn', Tahoma, sans-serif;
}

html {
    overflow-x: hidden;
}

.contact {
    position: relative;
    padding: 50px 100px;
    min-height: 100vh;
    display: flex;
    font-size: 1rem;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: #F7F5F2;

}

.contact .content {
    max-width: 800px;
    text-align: center;
}

.contact .content h2 {
    font-size: 2em;
    color: #222;
    font-weight: 500;
}

.contact .content p {
    color: #222;
    font-size: 1.1em;
    font-weight: 300;
}

.container-contact {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
    margin-top: 50px;
}

.container-contact .contactinfo {
    width: 50%;
    display: flex;
    flex-direction: column;
}

.container-contact .contactinfo .box-info-contact {
    position: relative;
    padding: 20px 0;
    display: flex;
    cursor: pointer;
}

.container-contact .contactinfo .box-info-contact .icon {
    position: relative;
    min-width: 60px;
    height: 60px;
    background: repeating-conic-gradient(from 27.5deg, #9C2D2D 0%,
            #B23A3A 10%, transparent 10%, transparent 50%);
    display: flex;
    justify-content: center;
    align-items: center;
}

.container-contact .contactinfo .box-info-contact .icon::before {
    content: "";
    position: absolute;
    inset: 0;
    background: repeating-conic-gradient(from 117.5deg, #9C2D2D 0%,
            #B23A3A 10%, transparent 10%, transparent 50%);
}

.container-contact .contactinfo .box-info-contact .icon::after {
    content: "";
    position: absolute;
    inset: 2px;
    background-color: #F7F5F2;
}

.container-contact .contactinfo .box-info-contact .icon b {
    position: absolute;
    inset: 8px;
    background: linear-gradient(#9C2D2D, #B23A3A);
    z-index: 2;
}

.container-contact .contactinfo .box-info-contact .icon i {
    position: relative;
    z-index: 1000;
    color: #ffffff;
    font-size: 1em;
}

.container-contact .contactinfo .box-info-contact .text {
    position: relative;
    display: flex;
    flex-direction: column;
    margin-left: 20px;
    font-size: 1em;
    color: #333;
    font-family: 300;
}

.container-contact .contactinfo .box-info-contact .text h3 {
    font-weight: 500;
    color: #9C2D2D;
}

.container-contact .contactinfo .txt {
    color: #333;
    margin-top: 50px;
    font-weight: 500;
    border-left: 20px solid transparent;
    border-image: linear-gradient(#9C2D2D, #B23A3A) 1;
    padding-left: 10px;
    line-height: 1em;
}

.container-contact .contactinfo .sci {
    position: relative;
    display: flex;
    align-items: center;

    gap: 10px;
    margin: 20px 0;
}

.container-contact .contactinfo .sci li {
    list-style: none;
}

.container-contact .contactinfo .sci li a {
    background: #9C2D2D;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    font-size: 1em;
    transition: 0.25s;
}

.container-contact .contactinfo .sci li a:hover {
    color: #B23A3A;
    filter: drop-shadow(0 0 5px #B23A3A);
}

.container-contact .contactform {
    position: relative;
    width: 40%;
    background: repeating-conic-gradient(from var(--a), #9C2D2D 0%,
            #B23A3A 10%, transparent 10%, transparent 50%);
    animation: animate 6s linear infinite;
    padding: 40px;

}

.container-contact .contactform::before {
    content: "";
    position: absolute;
    inset: 0;
    background: repeating-conic-gradient(from var(--a), #9C2D2D 0%,
            #B23A3A 10%, transparent 10%, transparent 50%);
    animation: animate 6s linear infinite;
    animation-delay: -1.5s;
}

.container-contact .contactform::after {
    content: "";
    position: absolute;
    inset: 2px;
    border: 20px solid #F7F5F2;
    background: #ffffff;
}

@property --a {
    syntax: "<angle>";
    inherits: false;
    initial-value: 0deg;
}

@keyframes animate {
    0% {
        --a: 0deg;

    }

    100% {
        --a: 360deg;
    }
}

.container-contact .contactform form {
    position: relative;
    z-index: 10;
}

.container-contact .contactform form h2 {
    font-size: 1em;
    text-align: center;
    color: #222;
    font-weight: 500;
}

.container-contact .contactform form .inputbox {
    position: relative;
    width: 100%;
    margin-top: 20px;
}

.container-contact .contactform form .inputbox input,
.container-contact .contactform form .inputbox textarea {
    width: 100% !important;
    padding: 10px 0;
    font-size: 1em;
    margin: 10px 0;
    border: none;
    background: transparent;
    color: #222;
    outline: none;
    range: none;
}

.container-contact .contactform form .inputbox::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 1.5px;
    background: #9C2D2D;
    border-radius: 2px;
}

.container-contact .contactform form .inputbox span {
    position: absolute;
    left: 0;
    pointer-events: none;
    padding: 5px 0;
    margin: 10px 0;
    font-size: 1em;
    color: #333;
    transition: 0.5s;
}

.container-contact .contactform form .inputbox input:valid~span,
.container-contact .contactform form .inputbox textarea:valid~span {
    color: #9C2D2D;
    font-size: 0.9em;
    transform: translateY(-24px);
}

.container-contact .contactform form .inputbox input[type="submit"] {
    width: 100%;
    background: #9C2D2D;
    color: #ffffff;
    border: none;
    cursor: pointer;
    font-size: 1.3em;
    font-weight: 500;
}

/*responsive*/

@media (max-width:991px) {
    .contact {
        padding: 50px;
    }

    .container-contact {
        flex-direction: column;
    }

    .container-contact .contactinfo,
    .container-contact .contactform {
        width: 100%;
    }

    .container-contact .contactform {
        padding: 30px;
    }

    .container-contact .contactform form {
        padding: 10px;
    }


}